summaryrefslogtreecommitdiff
path: root/keepalive
diff options
context:
space:
mode:
Diffstat (limited to 'keepalive')
-rwxr-xr-xkeepalive17
1 files changed, 17 insertions, 0 deletions
diff --git a/keepalive b/keepalive
new file mode 100755
index 0000000..f264d26
--- /dev/null
+++ b/keepalive
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -eu
+
+while true
+do
+ if ping -c1 -t100 8.8.8.8 > /dev/null 2>&1
+ then
+ sleep 5
+ else
+ echo "No networking. Turning networking off and back on again. $(date)"
+ nmcli networking off
+ sleep 2
+ nmcli networking on
+ sleep 20
+ fi
+done